package de.effigenix.infrastructure.masterdata.persistence.repository;

import de.effigenix.infrastructure.masterdata.persistence.entity.CustomerEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface CustomerJpaRepository extends JpaRepository<CustomerEntity, String> {

    List<CustomerEntity> findByType(String type);

    List<CustomerEntity> findByStatus(String status);

    boolean existsByName(String name);
}
